@echo off

:: backup the module
copy /y Flow\fDynamicParticle.ob2 Flow\fDynamicParticle.ob2.bak

:: compile the "fixed" version
touch Flow\fDynamicParticle.ob2
xc =p Example.prj
if errorlevel 1 goto :compileError

cd exe
call CheckBug.bat
if %errorlevel% neq 1 cd .. & goto :cantReproduce
cd ..

sed -i -e "/Another stupid invalid location in run mode is removed by this/d" Flow\fDynamicParticle.ob2
:: compile the "broken" version
xc =p Example.prj
if errorlevel 1 goto :compileError

cd exe
call CheckBug.bat
if %errorlevel% neq 2 cd .. & goto :cantReproduce
cd ..

:: restore the module
cp Flow\fDynamicParticle.ob2.bak Flow\fDynamicParticle.ob2
goto :reproduced

:compileError
@echo.
@echo Compilation error.
goto :eof

:cantReproduce
@echo.
@echo Can't reproduce the Bug!
goto :eof

:reproduced
@echo.
@echo The Bug was reproduced successfully.
goto :eof
